Page MenuHomePhabricator

Syntax highlighting: Take out the blue highlight for cursor location
Closed, ResolvedPublic2 Story Points

Description

The blue highlight on CodeMirror showing the cursor location can be distracting and annoying for some users.

Event Timeline

DannyH created this task.Apr 4 2017, 10:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 10:51 PM

@Pastakhov: Do you think this is reasonable to remove?

DannyH triaged this task as Normal priority.Apr 4 2017, 11:06 PM
kaldari set the point value for this task to 2.Apr 4 2017, 11:07 PM
Pastakhov added a comment.EditedApr 5 2017, 4:38 AM

@kaldari I did syntax highlighting generally for complicated templates and I agree with @DannyH some implemented approaches may be uncomfortable for article editors.

I tried to find a balance between wikitext in articles and complex markup in templates. I think the best solution is to make several themes and allow skilled users to use own styles (from User:username/common.css), also active line highlighting (and other features) may be enabled/disabled by users.
May be should create a new task for discuss these features. Seems for now, we make the view less aggressive and unusual for users for soft launching and getting feedback.
I think this is reasonable enough :-)

P.S. found T95148

Pastakhov claimed this task.Apr 5 2017, 4:39 AM

Change 346493 had a related patch set uploaded (by Pastakhov):
[mediawiki/extensions/CodeMirror@master] Take out the blue highlight for cursor location

https://gerrit.wikimedia.org/r/346493

kaldari closed this task as Resolved.Apr 5 2017, 6:28 AM
kaldari edited projects, added Community-Tech-Sprint; removed Community-Tech.
kaldari moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.

Change 346493 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Take out the blue highlight for cursor location

https://gerrit.wikimedia.org/r/346493

DannyH moved this task from Estimated to Untriaged on the Community-Tech board.Apr 25 2017, 2:19 AM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.